# KycLinkDetail

Schema: #/components/schemas/KycLinkDetail

Method: SCHEMA
Version: 1.0.0

## Schema fields:

  - `id` (string)
    The unique identifier for the KYC link.
    Example: kyc_69b3f97eSThQY

  - `status` (string)
    The current status of the KYC link.
- `initiated` — the link has been created and the customer has not started.
- `in_progress` — the customer has started the verification.
- `submitted` — the customer has finished and the verification result is pending.
- `action_required` — more information is needed from the customer.
- `under_review` — the information provided is being reviewed.
- `completed` — the customer has been verified. Terminal.
- `failed` — the verification could not be completed. Terminal.
- `expired` — the link expired before the customer finished. Terminal.
- `rejected` — the verification was rejected on review. Terminal.
    Enum: "initiated", "in_progress", "submitted", "action_required", "under_review", "completed", "failed", "expired", "rejected"

  - `link_url` (string)
    The URL to share with the customer to complete the KYC verification.
    Example: https://app.glomopay.com/kyc-links/kyc_69b3f97eSThQY

  - `expires_at` (string)
    When the KYC link expires, as an ISO 8601 date-time in UTC.
    Example: 2026-06-11T11:48:14.361Z

  - `created_at` (string)
    When the KYC link was created, as an ISO 8601 date-time in UTC.
    Example: 2026-03-13T11:48:14.363Z

  - `customer_id` (string | null)
    The unique identifier of the customer associated with this KYC link. `null` if the KYC link was created with an email address only (no existing customer).
    Example: cust_abc123XYZ

  - `tracker` (array)
    A chronological list of status events for the KYC verification process.

  - `tracker.created_at` (string)
    When the tracker event happened, as an ISO 8601 date-time in UTC.
    Example: 2026-03-13T12:00:00.000Z

  - `tracker.text` (string)
    Human-readable description of the tracker event.
    Example: KYC verification completed

  - `documents` (array)
    The list of KYC documents associated with this KYC link. Each document has a `document_id` field that can be used with `GET /api/v1/document/{document_id}` to retrieve full document details (e.g. preview URL, file name) once the document has been captured.

  - `documents.id` (string)
    The unique identifier for the KYC document record.
    Example: kycdoc_69b3f97ef0bmk

  - `documents.document_id` (string | null)
    The identifier of the uploaded document file. This is populated once the customer has uploaded the document (i.e. when `status` is `captured`). Use this value with `GET /api/v1/document/{document_id}` to retrieve the full document details including the preview URL.
    Example: doc_69b3f9b4MJgKZ

  - `documents.type` (string)
    The type of KYC document.
    Enum: "pan_card", "aadhaar", "photograph", "passport", "driving_license", "selfie_proof", "signature", "contribution_agreement", "photo_on_aadhaar", "applicant_esign", "bank_statement", "vkyc", "digilocker_zip", "other"

  - `documents.status` (string)
    The capture status of this KYC document.
    Enum: "not_captured", "captured"

  - `documents.created_at` (string)
    When the KYC document record was created, as an ISO 8601 date-time in UTC.
    Example: 2026-03-13T11:48:14.458Z

  - `documents.uploaded_at` (string | null)
    When the document file was uploaded, as an ISO 8601 date-time in UTC. `null` if the document has not yet been captured.
    Example: 2026-03-13T11:49:08.093Z

